class handson::install{
 notify {"test -  ${::osfamily}":}
 file{'/home/openstack/test.txt':
   ensure  => 'absent',
   content => 'test'
 }

 user{'creating user':
   name     => 'puppetuser',
   password => 'puppet'
 }

 if $::osfamily == 'Debian' {
  package{'apache2':
    ensure => 'installed'
  }

  service{'apache2':
    ensure => 'running'
  }

 }else {

  package{'httpd':
    ensure => 'installed'
  }

  service{'httpd':
    ensure => 'running'
  }
 }
}
